package com.ycwl.basic.service.task;

import com.ycwl.basic.model.task.resp.AddFaceSampleRespVo;
import com.ycwl.basic.model.task.resp.SearchFaceRespVo;
import org.springframework.scheduling.annotation.Scheduled;
import org.springframework.web.multipart.MultipartFile;

public interface TaskFaceService {

    SearchFaceRespVo searchFace(Long faceId);

    SearchFaceRespVo searchFace(Long scenicId, String faceUrl);

    SearchFaceRespVo searchFace(String dbName, String faceUrl);

    SearchFaceRespVo searchFace(String dbName, String faceUrl, String reason);

    AddFaceSampleRespVo addFaceSample(Long faceSampleId);

    AddFaceSampleRespVo addFaceSample(String dbName, String entityId, String faceUrl, String extData);

    void batchDeleteExpiredFace(Long scenicId);

    void deleteFaceDB(String scenicId);

    void createFaceDB(String scenicId);

    void assureFaceDB(String scenicId);

    String uploadFile(MultipartFile file, Long userId);

    boolean deleteFaceSample(String dbName, String entityId);
}
